//Seccion que se encargara de los quices
//Variables que guardaran los diferentes valores de los componentes del quiz
const start = document.getElementById("start");
const pregunta = document.getElementById("pregunta");
const uno = document.getElementById("1");
const dos = document.getElementById("2");
const tres = document.getElementById("3");

// Arreglo que guardara el contenido de las preguntas del quiz,
// y las diferentes contestaciones que pueden ser elegidas
let preguntas = [

  {
    pregunta : "1. Complazco a mi pareja:",
    uno : "a. Por que me nace como algo natural",
    dos : "b. Por que es mi obligación",
    tres : "c. Solo cuando se lo gana y me complace a mí",
    saludable : "tres",
    masOmenos: "uno",
    violencia: "dos"

  } , {
    pregunta : "2. Cuando desea compartir solo/a con mis amistades:",
    uno : "a. Siempre me da espacio",
    dos : "b. Aun que no le gusta que salga sol@, me complace y respeta mi espacio personal",
    tres : "c. Me prohíbe que salga sol@",
    saludable : "uno",
    masOmenos: "dos",
    violencia: "tres"

  } , {
    pregunta : "3. Cuando discutimos:",
    uno : "a. Me escucha, pero al final hace lo que quiere",
    dos : "b. Dialogamos y llegamos a acuerdos en común",
    tres : "c. Mi pareja siempre tiene que ganar",
    saludable : "dos",
    masOmenos: "uno",
    violencia: "tres"

  } , {
    pregunta : "4. Cuando hablo con amistades:",
    uno : "a. Me acusa de que estoy 'tirandole' o coquetenando con el/ella",
    dos : "b. No se siente amenazad@, pues confia en mi",
    tres : "c. Se pone celos@, pero no lo demuestra",
    saludable : "dos",
    masOmenos: "tres",
    violencia: "uno"

  } , {
    pregunta : "5. Cuando hemos tenido alguna diferencia:",
    uno : "a. Rompe mis cosas",
    dos : "b. Tratamos de llegar a un acuerdo, pero busca la manera de castigarme",
    tres : "c. Dialogamos y llegamos a acuerdos que nos beneficien ambos",
    saludable : "tres",
    masOmenos: "dos",
    violencia: "uno"
  } , {
    pregunta : "6. En cuanto a los acercamientos sexuales:",
    uno : "a. Respeta cuando digo que no quiero",
    dos : "b. Trata de convencerme para que tengamos sexo, y aveces lo logra",
    tres : "c. Tengo miedo de decor que no",
    saludable : "uno",
    masOmenos: "dos",
    violencia: "tres"

  } , {
    pregunta : "7. En cuanto a celular:",
    uno : "a. Puedo hablar con quien deseo y cuando quiero sin tener que dar explicaciones",
    dos : "b. Controla mis llamadas, revisa mi celular sin permiso, y me prohibe hablar con ciertas personas",
    tres : "c. Siempre me pregunta con quien hablo, y a veces se molesta si es alguien del sexo opuesto",
    saludable : "uno",
    masOmenos: "tres",
    violencia: "dos"

  } , {
    pregunta : "8. En nuestra relacion:",
    uno : "a. Escucha mis opiniones, siempre y cuando estemos de acuerdo",
    dos : "b. Nunca digo mi opinion por miedo a que me rechace",
    tres : "c. Ambos expresamos nuestras opiniones y las respetamos",
    saludable : "tres",
    masOmenos: "dos",
    violencia: "uno"

  } , {
    pregunta : "9. En nuestra relacion:",
    uno : "a. Ambos podemos realizar nuestras propias actividades",
    dos : "b. Cada quien hace sus cosas, pero a veces tengo que informar donde y con quien estoy",
    tres : "c. Mi pareja me llama constantemente para saber donde estoy",
    saludable : "uno",
    masOmenos: "dos",
    violencia: "tres"

  } , {
    pregunta : "10. Frente a mia amistades y familiares, mi pareja:",
    uno : "a. Me ofende, pero siempre se disculpa",
    dos : "b. Me trata con mucho respeto y cariño",
    tres : "c. Me ha humillado u ofendido, y no se a disculpado",
    saludable : "dos",
    masOmenos: "uno",
    violencia: "tres"

  } , {
    pregunta : "11. La comunicacion en mi relacion:",
    uno : "a. Es abierta, y hablamos de lo que sea sin problemas",
    dos : "b. Es buena, pero a veces no se como vaya a reaccionar mi pareja",
    tres : "c. Siento miedo de las reacciones de mi pareja ante ciertos temas",
    saludable : "uno",
    masOmenos: "dos",
    violencia: "tres"

  } , {
    pregunta : "12. La cuenta de Facebook:",
    uno : "a. Es de ambos, y no me permite tener una cuenta propia",
    dos : "b. Cada quien tiene la suya, pero tiene mi contraseña, y me pregunta por las cosas que posteo",
    tres : "c. Es privada, y no tengo que darle explicaciones de mis fotos o de lo que posteo",
    saludable : "tres",
    masOmenos: "dos",
    violencia: "uno"

  } , {
    pregunta : "13. Los gastos economicos:",
    uno : "a. Son divididos por ambos",
    dos : "b. Uno de los dos siempre paga voluntariamente",
    tres : "c. Mi pareja controla mi dinero y el suyo",
    saludable : "dos",
    masOmenos: "uno",
    violencia: "tres"

  } , {
    pregunta : "14. Siento que mi pareja:",
    uno : "a. Me da espacio y apoya mis decisiones",
    dos : "b. Me quiere controlar",
    tres : "c. Me manipula y me convence para que haga lo que el/ella quiera y muchas veces lo logra",
    saludable : "uno",
    masOmenos: "dos",
    violencia: "tres"

  }

];

// Variables que contienen el tamaño del arreglo en donde se guardan las
// preguntas y las posibles opciones, cual es la pregunta actual, y que
// contestaciones fueron elegidas
let ultimaPregunta = preguntas.length - 1;
let preguntaActual = 0;
let total = 0;

// Funcion que despliega las preguntas y las posibles contestaciones
function renderPreguntas() {
  let p = preguntas[preguntaActual];
  pregunta.innerHTML = p.pregunta;
  uno.innerHTML = p.uno;
  dos.innerHTML = p.dos;
  tres.innerHTML = p.tres;
}

// Funcion que esta pendiente a si se le dio un click al evento que
// iniciara el quiz
start.addEventListener("click", empiezaQuiz);

// Funcion que hace que se vea el contenido del quiz. Inicialmente
// estan escondidas
function empiezaQuiz(){

  var quiz_var = document.getElementById('quiz');
  var quiz_display = quiz_var.style.display;

  if(quiz_display == "none"){
    quiz_var.style.display = "block";
    renderPreguntas();
    pregunta.style.display = "block";
  }

  else{
    quiz_var.style.display = "none";
    pregunta.style.display = "none";
    preguntaActual = 0;
    total = 0;
  }

}

function verifyResult(){

    var porciento = (total/1400)*100;

    if(porciento >= 84){
      alert("Felicidades! Se encuentra en una relacion muy saludable!")
    }

    else if (porciento >= 74) {
      alert("Ojo! Hay aspectos no muy saludables en su relacion.")
    }

    else{
      alert("Alerta Roja! Es parte de una relacion no saludable!")
    }
  }

// Funcion que verifica y guarda las conestaciones escogidas. Luego de que una
// es seleccionada, se pasa a la proxima pregunta
function checkAnswer(answer){

  if(answer == preguntas[preguntaActual].saludable){
    total += 100;
  }

  else if (answer == preguntas[preguntaActual].masOmenos) {
    total += 67;
  }

  else{
    total += 33;
  }

  if(preguntaActual < ultimaPregunta){
    preguntaActual++;
    renderPreguntas();
  }

  else{
    verifyResult();
    empiezaQuiz();
  }
}

// Variables de los botones, que contienen evenlisteners pendientes
// a cual opcion es seleccionada. Cada opcion elegida invoca a
// checkAnswers y clickedOption# para cambiar su color de fondo.
// Esto indicara que fue seleccionado
let op1 = document.getElementById("1");
op1.addEventListener('click', function(){checkAnswer("uno")}, false);

let op2 = document.getElementById("2");
op2.addEventListener('click', function(){checkAnswer("dos")}, false);

let op3 = document.getElementById("3");
op3.addEventListener('click', function(){checkAnswer("tres")}, false);
